import "./tasks/qualimapBAMqc.wdl" as qualimapBAMqc
import "./tasks/multiqc.wdl" as multiqc

workflow {{ project_name }} {

	File inputSamplesFile
	File regions
	Array[Array[File]] inputSamples = read_tsv(inputSamplesFile)

	scatter (sample in inputSamples) {

		call qualimapBAMqc.qualimapBAMqc as qualimapBAMqc {
			input:
			regions=regions,
			bam=sample[0],
			bai=sample[1]
		}
	}

	call multiqc.multiqc as multiqc {
		input:
		bamqc_zip=qualimapBAMqc.bamqc_zip
	}

}